+ Antworten
Seite 2 von 2 ErsteErste 1 2
Ergebnis 11 bis 17 von 17
  1. #11
    Registriert seit
    Jun 2012
    Ort
    House of Dragons @ Lübeck
    Beiträge
    9,019

    5.0 ist ja nicht aktuell. Mit der 5.1 stable getestet?

    Michael
    on Win7VM (ESXi): I5, 24GB RAM, HW-RAID5, 3xSat | HW: CCU + 123 Geräte (506ch), EM1000, CUL, 1Wire, XBee, ELRO 433MHz, FritzBox Cable, Android Phone + Tablet, Samsung C-Serie TV +SamyGo-Ext, Onkyo NR| SW: IPS, Apache2(mod_ssl/PHP), MySQL, hMailServer, PRTG, Rising AV, Piwik, RoundCube, Wordpress, WinLIRC, WHS2011, MediaPortal, XBMC

  2. #12
    Registriert seit
    Feb 2018
    Ort
    Bochum
    Beiträge
    647

    Zitat Zitat von Nall-chan Beitrag anzeigen
    5.0 ist ja nicht aktuell. Mit der 5.1 stable getestet?

    Michael
    Ich habe zur Zeit kein 5.1, da ich mein ProdSys mit 5.0 erst nach dem Urlab aktualisieren wollte.
    Mein Testsystem ist 5.2.

    Soll ich es damit mal testen?

    demel

  3. #13
    Registriert seit
    Jun 2012
    Ort
    House of Dragons @ Lübeck
    Beiträge
    9,019

    Auf jeden Fall besser als mit 5.0.
    Die generated ist da bei dir auch merkwürdig, da bei dem GUID Vergleich die gleiche GUID steht.
    Michael
    on Win7VM (ESXi): I5, 24GB RAM, HW-RAID5, 3xSat | HW: CCU + 123 Geräte (506ch), EM1000, CUL, 1Wire, XBee, ELRO 433MHz, FritzBox Cable, Android Phone + Tablet, Samsung C-Serie TV +SamyGo-Ext, Onkyo NR| SW: IPS, Apache2(mod_ssl/PHP), MySQL, hMailServer, PRTG, Rising AV, Piwik, RoundCube, Wordpress, WinLIRC, WHS2011, MediaPortal, XBMC

  4. #14
    Registriert seit
    Feb 2018
    Ort
    Bochum
    Beiträge
    647

    Zitat Zitat von Nall-chan Beitrag anzeigen
    Auf jeden Fall besser als mit 5.0.
    Die generated ist da bei dir auch merkwürdig, da bei dem GUID Vergleich die gleiche GUID steht.
    Michael
    Hallo,

    ich habe es mit 5.2 (IP-Symcon 5.2, Raspberry Pi, 18.07.2019, 133c4b680f06) getestet.
    Da hat es funktioniert.

    In der __generated.inc.php gust es auch nur einen Eintrag für die Funktion

    PHP-Code:
    function TEST_TestFunc($InstanceID)
    {
            if(
    IPS_GetInstance($InstanceID)["ModuleInfo"]["ModuleID"] == "{B85F0CC0-5764-4A5B-9E6F-069CE00C46C4}") {
                    require_once(
    '/var/lib/symcon/modules/Test/Test/module.php');
                    
    $result = (new Test($InstanceID))->TestFunc();
            }
            else {
                    throw new 
    Exception("Instance does not implement this function");
            }
            return 
    $result;

    Wenn ich auch meinem ProdSys auf 5.1 umgestellt habe, werden ich es nochmal testen, ob das dann auch unter Ubuntu funktioniert.

    Was mich irritiert ist, das es bei Dir mit 5.0 funktioniert ... wenn ich es richtig sehe, fährst Du IPS unter Windows?

    Gruß
    demel

  5. #15
    Registriert seit
    Jun 2012
    Ort
    House of Dragons @ Lübeck
    Beiträge
    9,019

    Kann mich zumindest nicht an dieses Probleme mit 5.0 erinnern, egal ob unter Ubuntu oder Windows.
    Oder es viel nicht auf, weil beim MC_Reload es mir immer die generated zerlegt hat ^_^

    Produktiv habe ich die 5.1, da ist es mir bisher nie bewusst aufgefallen, das es Probleme gibt. Da mache ich aber selten solche Änderungen an einem Modul.
    Michael
    on Win7VM (ESXi): I5, 24GB RAM, HW-RAID5, 3xSat | HW: CCU + 123 Geräte (506ch), EM1000, CUL, 1Wire, XBee, ELRO 433MHz, FritzBox Cable, Android Phone + Tablet, Samsung C-Serie TV +SamyGo-Ext, Onkyo NR| SW: IPS, Apache2(mod_ssl/PHP), MySQL, hMailServer, PRTG, Rising AV, Piwik, RoundCube, Wordpress, WinLIRC, WHS2011, MediaPortal, XBMC

  6. #16
    Registriert seit
    Feb 2005
    Ort
    Lübeck
    Beiträge
    21,245

    Ich hab es gerade nicht zu 100% im Kopf. Aber ich glaube das Problem müsste mit der 5.1 gelöst worden sein.

    paresy

  7. #17
    Registriert seit
    Feb 2018
    Ort
    Bochum
    Beiträge
    647

    Zitat Zitat von paresy Beitrag anzeigen
    Ich hab es gerade nicht zu 100% im Kopf. Aber ich glaube das Problem müsste mit der 5.1 gelöst worden sein.

    paresy
    Hallo,

    ich habe das IPS heute auf 5.1 gebracht und den o.g. Test wiederholt.

    Das Problem trat nicht mehr auf. __generated.inc.php ist in Ordnung und ich kann die Funktionen mit geänderten Parametern aufrufen. Kein Gemecker in Logfile.

    Danke & Gruß
    demel

Ähnliche Themen

  1. Antworten: 7
    Letzter Beitrag: 30.09.17, 17:13
  2. Fehler in __generated.inc.php
    Von Fonzo im Forum Allgemeine Diskussion
    Antworten: 2
    Letzter Beitrag: 27.08.17, 22:19
  3. Antworten: 1
    Letzter Beitrag: 19.01.16, 08:34
  4. VC6 wird von PHP nicht mehr unterstuetzt
    Von axbigo im Forum Allgemeine Diskussion (2.x/3.x)
    Antworten: 7
    Letzter Beitrag: 07.11.11, 14:52